15 octobre 2018

Installation OSCommerce : The Mysql extension is…

Si vous vous installez OSCommerce sur votre serveur web, vous aurez peut-être une erreur lors de la premiere étape, et l’installeur ne trouve pas votre Mysql alors qu’il tourne.

En effet, le message peut apparaitre :

The MySql extension is required but is not installed. Please enable it to continue installation.

 

Alors que dans le cadre de droite tous les paramètres sont cochés en vert et semblent Ok.

Pour remédier à ce problème, il faut éditer le fichier :

catalog/install/templates/pages/index.php

 

Trouvez cette instruction :

 

if (!extension_loaded(‘mysql’)) {
$warning_array[‘mysql’] = ‘The MySQL extension is required but is not installed. Please enable it to continue installation.’;
}

Et remplacez la entièrement par :

 

if (!extension_loaded(‘mysql’) && !extension_loaded(‘mysqli’)) {
$warning_array[‘mysql’] = ‘The MySQL extension is required but is not installed. Please enable it to continue installation.’;
}

->Enregistrez le fichier puis rechargez la page web d’installation de OSCommerce.

You may also like...

Laisser un commentaire

Votre adresse de messagerie ne sera pas publiée. Les champs obligatoires sont indiqués avec *